Package org.jfree.report.util.beans

# Class LongValueConverter

java.lang.Object
org.jfree.report.util.beans.LongValueConverter

All Implemented Interfaces:
  `ValueConverter`

public class LongValueConverter extends Object implements ValueConverter
A class that handles the conversion of `Integer` attributes to and from their `String` representation.

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`LongValueConverter()`
Creates a new value converter.

## Method Summary

Modifier and Type
Method
Description
`String`
`toAttributeValue(Object o)`
Converts the attribute to a string.
`Object`
`toPropertyValue(String s)`
Converts a string to a `Integer`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LongValueConverter

public LongValueConverter()
Creates a new value converter.

## Method Details

### toAttributeValue

public String toAttributeValue(Object o)
Converts the attribute to a string.

Specified by:
  `toAttributeValue` in interface `ValueConverter`
Parameters:
  `o` - the attribute (`Integer` expected).
Returns:
  A string representing the `Integer` value.

### toPropertyValue

public Object toPropertyValue(String s)
Converts a string to a `Integer`.

Specified by:
  `toPropertyValue` in interface `ValueConverter`
Parameters:
  `s` - the string.
Returns:
  a `Integer`.